.projeto {
    width: calc(50% - 50px); /* Ajusta a largura para incluir a margem */
    margin: 15px; /* Espaço em volta da div para que não fique grudada */
    padding: 30px; /* Espaço interno para afastar o conteúdo da borda */
    box-sizing: border-box; /* Inclui padding na largura total */
}

.projeto:last-child {
    margin-bottom: 45px
}

.projeto__img {
    width: 100%;
    transition: all 500ms ease;
    height: auto
}

.projeto__container {
    display: flex;
    flex-direction: column;
   
    border-radius: 20px;
    overflow: hidden;
    position: relative;
}

.projeto__container:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: #232429;
    opacity: 0;
    transition: opacity 450ms ease;
    z-index: 2
}

.projeto:hover .projeto__container:before {
    opacity: .7
}

.projeto:hover .projeto__img {
    transform: scale(1.07);
    filter: blur(5px)
}

.projeto:hover .projeto__descricao {
    opacity: 1;
    transform: translateY(-50%)
}

.lista__projetos {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    padding-top: 30px;
}

.projeto__descricao {
    position: absolute;
    top: 50%;
    left: 90px;
    transform: translateY(100%);
    max-width: 550px;
    z-index: 3;
    opacity: 0;
    transition: all 400ms ease
}

.projeto__descricao--titulo {
    text-align: left;
    color: rgb(153, 183, 226);
    font-size: 40px
}

.projeto__descricao--subtitulo {
    text-align: left;
    color: rgb(153, 183, 226)
}

.projeto__descricao--para {
    margin: 16px 0
}



.projeto__descricao--para,
.projeto__descricao--link {
    text-align: left;
    color: #fff
}